Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.service
Class CardServiceUnexpectedResponseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--opencard.core.OpenCardException
                              |
                              +--opencard.core.service.CardServiceException
                                    |
                                    +--opencard.core.service.CardServiceImplementationException
                                          |
                                          +--opencard.opt.service.CardServiceUnexpectedResponseException

public class CardServiceUnexpectedResponseException
extends opencard.core.service.CardServiceImplementationException

Exception indicating that a smartcard's response cannot be interpreted. This may be the result of a bug in the card service, or of a mismatch between the smartcard and the service that was used to access it. It may also be the result of a limited implementation, for example one that does not bother to check for the different reasons of a failure.
If the response from the smartcard does not indicate success, but is an error response recognized by the service, a `CardServiceOperationFailedException` should be thrown instead.

See Also:
  `CardServiceOperationFailedException`, Serialized Form

Constructor Summary
`CardServiceUnexpectedResponseException()` Creates a new exception without detail message.
`CardServiceUnexpectedResponseException(java.lang.String message)` Creates a new exception with the given detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardServiceUnexpectedResponseException

    public CardServiceUnexpectedResponseException()

  Creates a new exception without detail message.

### CardServiceUnexpectedResponseException

    public CardServiceUnexpectedResponseException(java.lang.String message)

  Creates a new exception with the given detail message.
  Parameters:
    `message` - a string indicating why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD